% %č.46 - NUTNÉ PREVZORKOVANIE
% ElementSpacing = 0.48828     0.48828     0.45007
% DimSize = 512  512  338
% %č.47
% ElementSpacing = 0.48828     0.48828     0.44995
% DimSize = 512  512  361

%PREVZORKOVANIE
%z=počet rezov na osi z
%a=pôvodné vzorkovanie
%b=nové vzorkovanie
%x=z*(a/b)
%imresize[512,512,x]

fid = fopen('046.raw','r'); % 'r'- open for reading 
if fid == -1
  error('Cannot open file: %s', '046.raw');
end
data_46 = fread(fid, 512*512*338, 'uint16');
fclose(fid);
data_46 = reshape(data_46, [512,512,338]);
%imshow4(data_46); 

%zobrazenie dat pacienta 46 pomocou funkcie imshow4
%________________________________________________
%načítanie a zobrazenie raw súborov s CT dátami

velkost_46=size(data_46);
z_46=velkost_46(3);
povodne_vzorkovanie=0.45007;
nove_vzorkovanie=single(0.44995);

%workspace uloží len na desaťtisíciny
x_46=z_46*(povodne_vzorkovanie/nove_vzorkovanie);
nove_data_46=imresize3(data_46,[512,512,x_46]);
%imshow4(nove_data_46);
%nove_data_46 majú rozmer [512 512 339]

% %č.45  -NUTNÉ PREVZORKOVANIE
% ElementSpacing = 0.48828     0.48828     0.45007
% DimSize = 512  512  330
fid = fopen('045.raw','r'); % 'r'- open for reading 
if fid == -1
  error('Cannot open file: %s', '045.raw');
end
data_45 = fread(fid, 512*512*330, 'uint16');
fclose(fid);
data_45 = reshape(data_45, [512,512,330]);
%imshow4(data_45); 
%zobrazenie dat pacienta 45 pomocou funkcie imshow4
%________________________________________________
%načítanie a zobrazenie raw súborov s CT dátami

velkost_45=size(data_45);
z_45=velkost_45(3);
povodne_vzorkovanie=0.45007;
nove_vzorkovanie=0.44995;
x_45=z_45*(povodne_vzorkovanie/nove_vzorkovanie);
nove_data_45=imresize3(data_45,[512,512,x_45]);
%figure(2)
%imshow4(nove_data_45);
%nove_data_45 majú rozmer [512 512 331]

data_45=nove_data_45;
data_46=nove_data_46;
clearvars -except data_45  data_46
